org.h2.util.json

## Class JSONBytesSource

- java.lang.Object
- - org.h2.util.json.JSONTextSource
  - - org.h2.util.json.JSONBytesSource

    public final class JSONBytesSource
    extends JSONTextSource

JSON byte array source.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static byte[]` `normalize(byte[] bytes)` Converts bytes into normalized JSON representation.
`static <R> R` `parse(byte[] bytes, JSONTarget<R> target)` Parses source bytes to a specified target.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### parse

    public static <R> R parse(byte[] bytes,
                              JSONTarget<R> target)

Parses source bytes to a specified target.

Type Parameters:
  `R` - the type of the result
Parameters:
  `bytes` - source
  `target` - target
Returns:
  the result of the target

#### normalize

    public static byte[] normalize(byte[] bytes)

Converts bytes into normalized JSON representation.

Parameters:
  `bytes` - source representation
Returns:
  normalized representation

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`